// Kyle Leve
// kleve@andrew.cmu.edu
// Section A
// Final Project

var spacing = 50;
var cirX = 90;
var img;
var mySnd;
var swidth = 45;
var start = 0;
var playing = false;

function preload() {
    // Background image
    img = loadImage("https://i.imgur.com/b8e9Eg1.jpg");
    // Background sound/music
    mySnd = loadSound("Bells.mp3");
    mySnd.setVolume(0.5);
}

function setup() {
    createCanvas(480, 480);
    frameRate(10);
    // Background
    image(img, 0, 0, width, height);
}

function draw() {
    // Adds text at the beginning
    if (!playing) {
        fill(0);
        stroke(0);
        textSize(20);
        text("Press mouse to start", 10, height - 10);
    // Gets rid of text if music is playing
    } else if (playing) {
        image(img, 0, 0, width, height);
    }
    // Draws all the different phrase animations
    Phrase1();
    Phrase2();
    Phrase3();
    Phrase4();
    Phrase5();
    Phrase6();
    Phrase7();
}

function mousePressed() {
    // Allows song and animation to start when mouse is pressed
    // Also prevents song from being played more than once at a time
    if (!playing) {
        start = millis();
        // Calls sound file
        mySnd.play(0, 1, 2);
        playing = true;
    }
}